Subject: Re: [Ietf-languages] Swaziland becomes Eswatini

From: "Doug Ewell" <[email-masked]>
Date: Thu, 19 Jul 2018 08:46:42 -0700

IIRC, RFC 5646 has that rule for language subtags and ISO 639, not
necessarily for region and script subtags and their respective ISO
source standards. I personally think it's a good idea.

Citing the UCS default sort order really, really seems like an attempt
to make "eSwatini" the primary Description field. We have not cared
about the UCS default sort order anywhere else in the Registry.

I guess I will stop arguing over this, as long as "Eswatini" is in there
someplace.

--
Doug Ewell | Thornton, CO, US | ewellic.org

-------- Original Message --------
Subject: Re: [Ietf-languages] Swaziland becomes Eswatini
From: Arthur Reutenauer <[email-masked]>
Date: Thu, July 19, 2018 9:16 am
To: Michael Everson <[email-masked]>
Cc: ietflang IETF Languages Discussion <[email-masked]>

On Wed, Jul 18, 2018 at 03:57:45PM +0100, Michael Everson wrote:
> Perhaps you should use this.
> 
> Type: region
> Subtag: SZ
> Description: eSwatini
> Description: Eswatini
> Description: Swaziland
> Added: 2005-10-16
> 
> This is sorted in alphabetical order where the UCS default sort gives lowercase before uppercase. 

Don’t we have a rule that requires the name coming from the source
standard to be first in the list of decriptions?

---

From: Philip Newton <[email-masked]>
Date: Thu, 19 Jul 2018 18:04:59 +0200

> source standards. I personally think it's a good idea.

To clarify: do you think that it's a good idea to put the name coming
from the source standard first?

Or do you think that it's a good idea that RFC 5646 does not have that
rule for region and script subtags?

Cheers,
Philip

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 19 Jul 2018 17:33:31 +0000

The rule is weaker than you might remember:

(Section 3.1.5) For fields of type 'language', the first 'Description' field
   appearing in the registry corresponds whenever possible to the
   Reference Name assigned by ISO 639-3.  This helps facilitate cross-
   referencing between ISO 639 and the registry.

The rules surrounding descriptions are meant to mirror the source standards as much as possible, while still allowing a fair bit of freedom in registering appropriate variations and steering clear of redundancy or collision. So, for example, the quote above says "corresponds" rather than "MUST be identical to"...

I do think it's a good idea to make the first description(s) match the source standards in cases where additional descriptions have been provided or registered.

Addison

> -----Original Message-----
> From: Ietf-languages [mailto:[email-masked]] On Behalf Of
> Doug Ewell
> Sent: Thursday, July 19, 2018 8:47 AM
> To: ietflang IETF Languages Discussion <[email-masked]>; Michael
> Everson <[email-masked]>; Arthur Reutenauer
> <[email-masked]>
> IIRC, RFC 5646 has that rule for language subtags and ISO 639, not necessarily
> for region and script subtags and their respective ISO source standards. I
> personally think it's a good idea.
> 
> Citing the UCS default sort order really, really seems like an attempt to make
> "eSwatini" the primary Description field. We have not cared about the UCS
> default sort order anywhere else in the Registry.
> 
> I guess I will stop arguing over this, as long as "Eswatini" is in there someplace.
> 
> --
> Don’t we have a rule that requires the name coming from the source standard to
> be first in the list of decriptions?
> 
> _______________________________________________
> Ietf-languages mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-languages